View Issue Details

IDProjectCategoryView StatusLast Update
00314302.x IDE BugsWeb ServerPublic2019-11-15 09:46
ReporterScott DunbarAssigned ToRussell Kay 
PriorityLowSeverityD - MinorReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.4 
Target Version2.2.5Fixed in Version2.2.5 
Summary0031430: Web Server: New console app webserver produces a lot of messages in Output window
DescriptionIssue:
 Messages such as "Connecting to Client 127.0.0.1" are repeated throughout the initialisation of the webserver.
All messages sent regarding sent data, such as "127.0.0.1 : 0% : 53.57 KB : /scripts/functions/collections/ds_grid.js" show 0%


This occurs across Mac and Windows IDEs

Steps To Reproduce1. create a new project
2. select HTML5 as a platform
3. run HTML5
4. observe during start up, the output log is showing many repeated messages as described above
TagsNo tags attached.
2.x IDE Found In9.2.1.1993
2.x Runtime Found In9.9.1.1593
2.x IDE Verified In2.2.5.475
2.x Runtime Verified In2.2.5.375

Activities

Scott Dunbar

2019-10-11 16:30

Adminstrator  

chrome.txt (16,950 bytes)
"cmd"  /c subst Z: "C:\Users\scott.dunbar\AppData\Roaming\GameMakerStudio2-Dev\Cache\GMS2CACHE"

elapsed time 00:00:00.2329735s for command "cmd" /c subst Z: "C:\Users\scott.dunbar\AppData\Roaming\GameMakerStudio2-Dev\Cache\GMS2CACHE" started at 10/11/2019 14:08:03
"cmd"  /c subst Y: "C:\Users\scott.dunbar\AppData\Local\GameMakerStudio2-Dev\GMS2TEMP"

elapsed time 00:00:00.2501438s for command "cmd" /c subst Y: "C:\Users\scott.dunbar\AppData\Local\GameMakerStudio2-Dev\GMS2TEMP" started at 10/11/2019 14:08:03
"cmd"  /c subst X: "C:\ProgramData\GameMakerStudio2-Dev\Cache\runtimes\runtime-9.9.1.1593"

elapsed time 00:00:00.1901819s for command "cmd" /c subst X: "C:\ProgramData\GameMakerStudio2-Dev\Cache\runtimes\runtime-9.9.1.1593" started at 10/11/2019 14:08:03
Saving project to: C:\Users\scott.dunbar\Documents\GameMakerStudio2\asd\asd.yyp
"C:\ProgramData/GameMakerStudio2-Dev/Cache/runtimes\runtime-9.9.1.1593/bin/Igor.exe"  -j=8 -options="C:\Users\scott.dunbar\AppData\Local\GameMakerStudio2-Dev\GMS2TEMP\build.bff" -v -- HTML5 Run

Loaded Macros from C:\Users\scott.dunbar\AppData\Roaming\GameMakerStudio2-Dev\Cache\GMS2CACHE\asd_EB35955A\macros.json
Options: X:/bin\platform_setting_defaults.json
Options: C:\Users\scott.dunbar\AppData\Roaming/GameMakerStudio2-Dev\qa_48\local_settings.json
Options: C:\Users\scott.dunbar\AppData\Roaming\GameMakerStudio2-Dev\Cache\GMS2CACHE\asd_EB35955A\targetoptions.json
X://bin/GMAssetCompiler.exe  /c /zpex /iv=0 /rv=0 /bv=0 /j=8  /gn="asd" /td="Y:/" /cd="Z:/asd_EB35955A" /zpuf="C:\Users\scott.dunbar\AppData\Roaming/GameMakerStudio2-Dev\qa_48" /wt /m=html5 /tgt=32 /nodnd /cfg="default" /nocache_html5  /o="Y:/asd_51DA3357_Javascript" /HTMLRunner="C:\Source\GameMaker\Runner\HTML5\scripts" /sh=True /optionsini="Y:/asd_51DA3357_Javascript\options.ini" /obob=False  /obes=False  /obpp=True  /obru=True  /v /cvm /baseproject="X:/BaseProject\BaseProject.yyp" "C:\Users\scott.dunbar\Documents\GameMakerStudio2\asd\asd.yyp" /preprocess="Z:/asd_EB35955A"
Reading project file....C:\Users\scott.dunbar\Documents\GameMakerStudio2\asd
Reading project file....X:\BaseProject
Reading config delta 'C:\Users\scott.dunbar\Documents\GameMakerStudio2\asd\options\main\inherited\options_main.inherited.yy'
finished.


X://bin/GMAssetCompiler.exe DONE (0)
Release build
Options: Z:/asd_EB35955A\ExtensionOptions.json
OptionsIni
Options: Z:/asd_EB35955A\PlatformOptions.json
X://bin/GMAssetCompiler.exe  /c /zpex /iv=0 /rv=0 /bv=0 /j=8  /gn="asd" /td="Y:/" /cd="Z:/asd_EB35955A" /zpuf="C:\Users\scott.dunbar\AppData\Roaming/GameMakerStudio2-Dev\qa_48" /wt /m=html5 /tgt=32 /nodnd /cfg="default" /nocache_html5  /o="Y:/asd_51DA3357_Javascript" /HTMLRunner="C:\Source\GameMaker\Runner\HTML5\scripts" /sh=True /optionsini="Y:/asd_51DA3357_Javascript\options.ini" /obob=False  /obes=False  /obpp=True  /obru=True  /v /cvm /baseproject="X:/BaseProject\BaseProject.yyp" "C:\Users\scott.dunbar\Documents\GameMakerStudio2\asd\asd.yyp" /bt=run /rt=javascript
Reading project file....C:\Users\scott.dunbar\Documents\GameMakerStudio2\asd
Reading project file....X:\BaseProject
Reading config delta 'C:\Users\scott.dunbar\Documents\GameMakerStudio2\asd\options\main\inherited\options_main.inherited.yy'
finished.
Saving HTML5 file... Y:/asd_51DA3357_Javascript\html5game\asd.js
Looking for built-in particle images in X:\bin\ParticleImages
Looking for built-in font images in X:\bin\BuiltinFonts
Texture Group - Default
0 Compressing texture... writing texture asd_texture_0.png... 
Done! 
Stats : GMA : Elapsed=492.54
Stats : GMA : sp=0,au=0,bk=0,pt=0,sc=0,sh=0,fo=1,tl=0,ob=0,ro=1,da=0,ex=0,ma=0,fm=0x0


X://bin/GMAssetCompiler.exe DONE (0)
[Deploy] Copy Assets/Included files to target dir
PlatformOptions
DoIndexFile
DoSplash
DoIcon
Igor complete.
GMWebServer Starting........
Igor complete
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1

(E):
127.0.0.1 : 0% : 2.93 KB : /index.html
127.0.0.1 : 0% : 11.75 KB : /html5game/asd.js
127.0.0.1 : 0% : 11.95 KB : /scripts/runner.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 10.96 KB : /scripts/device/iOS.js
127.0.0.1 : 0% : 26.24 KB : /scripts/device/Gamepad.js
127.0.0.1 : 0% : 6.58 KB : /scripts/Vector3.js
127.0.0.1 : 0% : 20.06 KB : /scripts/Matrix.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 41.21 KB : /scripts/Unsupported.js
127.0.0.1 : 0% : 800 bytes : /scripts/GameGlobals.js
127.0.0.1 : 0% : 63.65 KB : /scripts/Globals.js
127.0.0.1 : 0% : 46.42 KB : /scripts/yyVariable.js
127.0.0.1 : 0% : 16.62 KB : /scripts/yyBuiltIn.js
127.0.0.1 : 0% : 6.81 KB : /scripts/yyTypes.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 3.64 KB : /scripts/yyQueue.js
127.0.0.1 : 0% : 10.33 KB : /scripts/yyList.js
127.0.0.1 : 0% : 6.05 KB : /scripts/yyOList.js
127.0.0.1 : 0% : 5.68 KB : /scripts/yyAllocate.js
127.0.0.1 : 0% : 50.94 KB : /scripts/yySprite.js
127.0.0.1 : 0% : 64.81 KB : /scripts/yyIOManager.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 119.12 KB : /scripts/yyObject.js
127.0.0.1 : 0% : 90.89 KB : /scripts/yyInstance.js
127.0.0.1 : 0% : 10.46 KB : /scripts/yyBackground.js
127.0.0.1 : 0% : 43.98 KB : /scripts/yyFont.js
127.0.0.1 : 0% : 23.16 KB : /scripts/yySound.js
127.0.0.1 : 0% : 7.69 KB : /scripts/yyTile.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 24.62 KB : /scripts/yyPath.js
127.0.0.1 : 0% : 8.36 KB : /scripts/yyPlayfield.js
127.0.0.1 : 0% : 7.89 KB : /scripts/yyView.js
127.0.0.1 : 0% : 120.85 KB : /scripts/yyRoom.js
127.0.0.1 : 0% : 34.42 KB : /scripts/yy3DModel.js
127.0.0.1 : 0% : 57.47 KB : /scripts/yyGraphics.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 28.06 KB : /scripts/yyIniFile.js
127.0.0.1 : 0% : 76.76 KB : /scripts/yyParticle.js
127.0.0.1 : 0% : 8.25 KB : /scripts/yyTimeline.js
127.0.0.1 : 0% : 3.05 KB : /scripts/yyTrigger.js
127.0.0.1 : 0% : 12.33 KB : /scripts/yyASync.js
127.0.0.1 : 0% : 7.17 KB : /scripts/yyVertexManager.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 18.59 KB : /scripts/yyBufferVertex.js
127.0.0.1 : 0% : 22.49 KB : /scripts/Builders/yyPrimBuilder.js
127.0.0.1 : 0% : 31.43 KB : /scripts/CameraManager.js
127.0.0.1 : 0% : 15.90 KB : /scripts/Builders/yyVBufferBuilder.js
127.0.0.1 : 0% : 5.08 KB : /scripts/physics/yyPhysicsDebugRender.js
127.0.0.1 : 0% : 8.67 KB : /scripts/physics/yyPhysicsFixture.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 11.14 KB : /scripts/physics/yyPhysicsJoint.js
127.0.0.1 : 0% : 18.25 KB : /scripts/physics/yyPhysicsObject.js
127.0.0.1 : 0% : 91.04 KB : /scripts/physics/yyPhysicsWorld.js
127.0.0.1 : 0% : 2.04 KB : /scripts/LocalStorage.js
127.0.0.1 : 0% : 77.71 KB : /scripts/yyBuffer.js
127.0.0.1 : 0% : 4.04 KB : /scripts/Storage.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 26.74 KB : /scripts/Effects.js
127.0.0.1 : 0% : 37.75 KB : /scripts/Events.js
127.0.0.1 : 0% : 53.57 KB : /scripts/functions/collections/ds_grid.js
127.0.0.1 : 0% : 15.65 KB : /scripts/functions/collections/ds_list.js
127.0.0.1 : 0% : 22.43 KB : /scripts/functions/collections/ds_map.js
127.0.0.1 : 0% : 17.13 KB : /scripts/functions/collections/ds_priority.js
127.0.0.1 : 0% : 10.75 KB : /scripts/functions/collections/ds_queue.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 9.67 KB : /scripts/functions/collections/ds_stack.js
127.0.0.1 : 0% : 771 bytes : /scripts/functions/Function_Misc.js
127.0.0.1 : 0% : 63.75 KB : /scripts/functions/Function_Maths.js
127.0.0.1 : 0% : 46.33 KB : /scripts/functions/Function_YoYo.js
127.0.0.1 : 0% : 15.28 KB : /scripts/functions/Function_IO.js
127.0.0.1 : 0% : 7.91 KB : /scripts/functions/Function_ini.js
127.0.0.1 : 0% : 28.98 KB : /scripts/functions/Function_String.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 12.92 KB : /scripts/functions/Function_Texture.js
127.0.0.1 : 0% : 82.27 KB : /scripts/functions/Function_Graphics.js
127.0.0.1 : 0% : 131.56 KB : /scripts/functions/Function_Sound.js
127.0.0.1 : 0% : 11.14 KB : /scripts/functions/Function_Object.js
127.0.0.1 : 0% : 11.05 KB : /scripts/functions/Function_Sound_Legacy.js
127.0.0.1 : 0% : 46.92 KB : /scripts/functions/Function_Sprite.js
127.0.0.1 : 0% : 27.38 KB : /scripts/functions/Function_Instance.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 18.21 KB : /scripts/functions/Function_Room.js
127.0.0.1 : 0% : 23.93 KB : /scripts/functions/Function_Tiles.js
127.0.0.1 : 0% : 53.24 KB : /scripts/functions/Function_Game.js
127.0.0.1 : 0% : 35.25 KB : /scripts/functions/Function_Particles.js
127.0.0.1 : 0% : 23.46 KB : /scripts/functions/Function_Movement.js
127.0.0.1 : 0% : 114.47 KB : /scripts/functions/Function_Layers.js
127.0.0.1 : 0% : 34.83 KB : /scripts/functions/Function_Surface.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 48.89 KB : /scripts/functions/Function_MotionPlanning.js
127.0.0.1 : 0% : 26.05 KB : /scripts/functions/Function_Collision.js
127.0.0.1 : 0% : 39.98 KB : /scripts/functions/Function_Date.js
127.0.0.1 : 0% : 30.43 KB : /scripts/functions/Function_Background.js
127.0.0.1 : 0% : 25.69 KB : /scripts/functions/Function_Path.js
127.0.0.1 : 0% : 43.95 KB : /scripts/functions/Function_Debug.js
127.0.0.1 : 0% : 37.98 KB : /scripts/functions/Function_File.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 5.43 KB : /scripts/functions/Function_Timeline.js
127.0.0.1 : 0% : 28.38 KB : /scripts/functions/Function_Font.js
127.0.0.1 : 0% : 39.32 KB : /scripts/functions/Function_Action.js
127.0.0.1 : 0% : 27.75 KB : /scripts/functions/Function_Window.js
127.0.0.1 : 0% : 3.17 KB : /scripts/functions/Function_Gamepad.js
127.0.0.1 : 0% : 51.95 KB : /scripts/functions/Function_Physics.js
127.0.0.1 : 0% : 9.71 KB : /scripts/functions/Function_Shaders.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 16.44 KB : /scripts/functions/Function_HTTP.js
127.0.0.1 : 0% : 3.68 KB : /scripts/functions/Function_IAP.js
127.0.0.1 : 0% : 15.43 KB : /scripts/functions/Function_Networking.js
127.0.0.1 : 0% : 40.90 KB : /scripts/animation/yySkeletonInstance.js
127.0.0.1 : 0% : 14.93 KB : /scripts/libWebGL/yyRenderStateManager.js
127.0.0.1 : 0% : 59.03 KB : /scripts/animation/yySkeletonSprite.js
127.0.0.1 : 0% : 77.74 KB : /scripts/libWebGL/libWebGL.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 5.30 KB : /scripts/libWebGL/libWebGLConsts.js
127.0.0.1 : 0% : 106.53 KB : /scripts/functions/Function_D3D.js
127.0.0.1 : 0% : 69.73 KB : /scripts/libWebGL/yyCommandBuilder.js
127.0.0.1 : 0% : 2.76 KB : /scripts/libWebGL/yySamplerState.js
127.0.0.1 : 0% : 3.73 KB : /scripts/libWebGL/yyGLTexture.js
127.0.0.1 : 0% : 10.03 KB : /scripts/libWebGL/yyVBuffer.js
127.0.0.1 : 0% : 7.43 KB : /scripts/libWebGL/yyVBufferManager.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 8.43 KB : /scripts/libWebGL/yyVertexFormat.js
127.0.0.1 : 0% : 5.70 KB : /scripts/libWebGL/shaders/fullShader.js
127.0.0.1 : 0% : 3.16 KB : /scripts/libWebGL/shaders/basicShader.js
127.0.0.1 : 0% : 11.96 KB : /scripts/SWF/yySWFBitmap.js
127.0.0.1 : 0% : 16.95 KB : /scripts/SWF/yySWFShape.js
127.0.0.1 : 0% : 5.16 KB : /scripts/SWF/yySWFTimeline.js
127.0.0.1 : 0% : 181.72 KB : /scripts/yyWebGL.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 29.48 KB : /scripts/LoadGame.js
127.0.0.1 : 0% : 9.04 KB : /scripts/yyTextureGroupInfo.js
127.0.0.1 : 0% : 70.93 KB : /scripts/_GameMaker.js
127.0.0.1 : 0% : 35.04 KB : /scripts/Font.js
127.0.0.1 : 0% : 581.35 KB : /scripts/jsBox2D/jsliquidfun.js
127.0.0.1 : 0% : 6.87 KB : /scripts/zlib/inflate.min.js
127.0.0.1 : 0% : 11.37 KB : /scripts/zlib/deflate.min.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 3.40 KB : /scripts/functions/Function_SupersonicAds.js
127.0.0.1 : 0% : 9.65 KB : /scripts/zlib/fingerprint.js
127.0.0.1 : 0% : 240.36 KB : /scripts/spine/spine-core.js
127.0.0.1 : 0% : 7.25 KB : /scripts/jsgif/LZWEncoder.js
127.0.0.1 : 0% : 11.53 KB : /scripts/functions/Function_ClickableButton.js
127.0.0.1 : 0% : 11.68 KB : /scripts/jsgif/NeuQuant.js
127.0.0.1 : 0% : 39.16 KB : /scripts/long/long.js
127.0.0.1 : 0% : 15.19 KB : /scripts/jsgif/GIFEncoder.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 47.18 KB : /html5game/asd_texture_0.png
127.0.0.1 : 0% : 2.87 KB : /html5game/particles/IDR_GIF2.png
127.0.0.1 : 0% : 2.94 KB : /html5game/particles/IDR_GIF4.png
127.0.0.1 : 0% : 3.33 KB : /html5game/particles/IDR_GIF3.png
127.0.0.1 : 0% : 4.06 KB : /html5game/particles/IDR_GIF6.png
127.0.0.1 : 0% : 3.05 KB : /html5game/particles/IDR_GIF5.png
127.0.0.1 : 0% : 4.32 KB : /html5game/particles/IDR_GIF7.png
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 5.15 KB : /html5game/particles/IDR_GIF8.png
127.0.0.1 : 0% : 3.89 KB : /html5game/particles/IDR_GIF9.png
127.0.0.1 : 0% : 5.46 KB : /html5game/particles/IDR_GIF12.png
127.0.0.1 : 0% : 4.65 KB : /html5game/particles/IDR_GIF11.png
127.0.0.1 : 0% : 4.79 KB : /html5game/particles/IDR_GIF10.png
127.0.0.1 : 0% : 4.70 KB : /html5game/particles/IDR_GIF13.png
127.0.0.1 : 0% : 4.92 KB : /html5game/particles/IDR_GIF14.png
127.0.0.1 : 0% : 4.41 KB : /html5game/particles/IDR_GIF15.png
chrome.txt (16,950 bytes)
edge.txt (16,943 bytes)
"cmd"  /c subst Z: "C:\Users\scott.dunbar\AppData\Roaming\GameMakerStudio2-Dev\Cache\GMS2CACHE"

elapsed time 00:00:00.1708408s for command "cmd" /c subst Z: "C:\Users\scott.dunbar\AppData\Roaming\GameMakerStudio2-Dev\Cache\GMS2CACHE" started at 10/11/2019 14:06:20
"cmd"  /c subst Y: "C:\Users\scott.dunbar\AppData\Local\GameMakerStudio2-Dev\GMS2TEMP"

elapsed time 00:00:00.1738359s for command "cmd" /c subst Y: "C:\Users\scott.dunbar\AppData\Local\GameMakerStudio2-Dev\GMS2TEMP" started at 10/11/2019 14:06:20
"cmd"  /c subst X: "C:\ProgramData\GameMakerStudio2-Dev\Cache\runtimes\runtime-9.9.1.1593"

elapsed time 00:00:00.2173247s for command "cmd" /c subst X: "C:\ProgramData\GameMakerStudio2-Dev\Cache\runtimes\runtime-9.9.1.1593" started at 10/11/2019 14:06:21
Saving project to: C:\Users\scott.dunbar\Documents\GameMakerStudio2\asd\asd.yyp
"C:\ProgramData/GameMakerStudio2-Dev/Cache/runtimes\runtime-9.9.1.1593/bin/Igor.exe"  -j=8 -options="C:\Users\scott.dunbar\AppData\Local\GameMakerStudio2-Dev\GMS2TEMP\build.bff" -v -- HTML5 Run

Loaded Macros from C:\Users\scott.dunbar\AppData\Roaming\GameMakerStudio2-Dev\Cache\GMS2CACHE\asd_EB35955A\macros.json
Options: X:/bin\platform_setting_defaults.json
Options: C:\Users\scott.dunbar\AppData\Roaming/GameMakerStudio2-Dev\qa_48\local_settings.json
Options: C:\Users\scott.dunbar\AppData\Roaming\GameMakerStudio2-Dev\Cache\GMS2CACHE\asd_EB35955A\targetoptions.json
X://bin/GMAssetCompiler.exe  /c /zpex /iv=0 /rv=0 /bv=0 /j=8  /gn="asd" /td="Y:/" /cd="Z:/asd_EB35955A" /zpuf="C:\Users\scott.dunbar\AppData\Roaming/GameMakerStudio2-Dev\qa_48" /wt /m=html5 /tgt=32 /nodnd /cfg="default" /nocache_html5  /o="Y:/asd_500BAE79_Javascript" /HTMLRunner="C:\Source\GameMaker\Runner\HTML5\scripts" /sh=True /optionsini="Y:/asd_500BAE79_Javascript\options.ini" /obob=False  /obes=False  /obpp=True  /obru=True  /v /cvm /baseproject="X:/BaseProject\BaseProject.yyp" "C:\Users\scott.dunbar\Documents\GameMakerStudio2\asd\asd.yyp" /preprocess="Z:/asd_EB35955A"
Reading project file....C:\Users\scott.dunbar\Documents\GameMakerStudio2\asd
Reading project file....X:\BaseProject
Reading config delta 'C:\Users\scott.dunbar\Documents\GameMakerStudio2\asd\options\main\inherited\options_main.inherited.yy'
finished.


X://bin/GMAssetCompiler.exe DONE (0)
Release build
Options: Z:/asd_EB35955A\ExtensionOptions.json
OptionsIni
Options: Z:/asd_EB35955A\PlatformOptions.json
X://bin/GMAssetCompiler.exe  /c /zpex /iv=0 /rv=0 /bv=0 /j=8  /gn="asd" /td="Y:/" /cd="Z:/asd_EB35955A" /zpuf="C:\Users\scott.dunbar\AppData\Roaming/GameMakerStudio2-Dev\qa_48" /wt /m=html5 /tgt=32 /nodnd /cfg="default" /nocache_html5  /o="Y:/asd_500BAE79_Javascript" /HTMLRunner="C:\Source\GameMaker\Runner\HTML5\scripts" /sh=True /optionsini="Y:/asd_500BAE79_Javascript\options.ini" /obob=False  /obes=False  /obpp=True  /obru=True  /v /cvm /baseproject="X:/BaseProject\BaseProject.yyp" "C:\Users\scott.dunbar\Documents\GameMakerStudio2\asd\asd.yyp" /bt=run /rt=javascript
Reading project file....C:\Users\scott.dunbar\Documents\GameMakerStudio2\asd
Reading project file....X:\BaseProject
Reading config delta 'C:\Users\scott.dunbar\Documents\GameMakerStudio2\asd\options\main\inherited\options_main.inherited.yy'
finished.
Saving HTML5 file... Y:/asd_500BAE79_Javascript\html5game\asd.js
Looking for built-in particle images in X:\bin\ParticleImages
Looking for built-in font images in X:\bin\BuiltinFonts
Texture Group - Default
0 Compressing texture... writing texture asd_texture_0.png... 
Done! 
Stats : GMA : Elapsed=541.516
Stats : GMA : sp=0,au=0,bk=0,pt=0,sc=0,sh=0,fo=1,tl=0,ob=0,ro=1,da=0,ex=0,ma=0,fm=0x0


X://bin/GMAssetCompiler.exe DONE (0)
[Deploy] Copy Assets/Included files to target dir
PlatformOptions
DoIndexFile
DoSplash
DoIcon
Igor complete.
GMWebServer Starting........
Igor complete
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 2.93 KB : /index.html
127.0.0.1 : 0% : 11.75 KB : /html5game/asd.js
127.0.0.1 : 0% : 11.95 KB : /scripts/runner.js
127.0.0.1 : 0% : 10.96 KB : /scripts/device/iOS.js
127.0.0.1 : 0% : 26.24 KB : /scripts/device/Gamepad.js
127.0.0.1 : 0% : 6.58 KB : /scripts/Vector3.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 20.06 KB : /scripts/Matrix.js
127.0.0.1 : 0% : 41.21 KB : /scripts/Unsupported.js
127.0.0.1 : 0% : 63.65 KB : /scripts/Globals.js
127.0.0.1 : 0% : 800 bytes : /scripts/GameGlobals.js
127.0.0.1 : 0% : 46.42 KB : /scripts/yyVariable.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 16.62 KB : /scripts/yyBuiltIn.js
127.0.0.1 : 0% : 6.81 KB : /scripts/yyTypes.js
127.0.0.1 : 0% : 3.64 KB : /scripts/yyQueue.js
127.0.0.1 : 0% : 10.33 KB : /scripts/yyList.js
127.0.0.1 : 0% : 6.05 KB : /scripts/yyOList.js
127.0.0.1 : 0% : 5.68 KB : /scripts/yyAllocate.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 64.81 KB : /scripts/yyIOManager.js
127.0.0.1 : 0% : 50.94 KB : /scripts/yySprite.js
127.0.0.1 : 0% : 119.12 KB : /scripts/yyObject.js
127.0.0.1 : 0% : 90.89 KB : /scripts/yyInstance.js
127.0.0.1 : 0% : 10.46 KB : /scripts/yyBackground.js
127.0.0.1 : 0% : 43.98 KB : /scripts/yyFont.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 23.16 KB : /scripts/yySound.js
127.0.0.1 : 0% : 7.69 KB : /scripts/yyTile.js
127.0.0.1 : 0% : 8.36 KB : /scripts/yyPlayfield.js
127.0.0.1 : 0% : 24.62 KB : /scripts/yyPath.js
127.0.0.1 : 0% : 7.89 KB : /scripts/yyView.js
127.0.0.1 : 0% : 120.85 KB : /scripts/yyRoom.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 34.42 KB : /scripts/yy3DModel.js
127.0.0.1 : 0% : 57.47 KB : /scripts/yyGraphics.js
127.0.0.1 : 0% : 28.06 KB : /scripts/yyIniFile.js
127.0.0.1 : 0% : 76.76 KB : /scripts/yyParticle.js
127.0.0.1 : 0% : 8.25 KB : /scripts/yyTimeline.js
127.0.0.1 : 0% : 12.33 KB : /scripts/yyASync.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 3.05 KB : /scripts/yyTrigger.js
127.0.0.1 : 0% : 7.17 KB : /scripts/yyVertexManager.js
127.0.0.1 : 0% : 18.59 KB : /scripts/yyBufferVertex.js
127.0.0.1 : 0% : 77.71 KB : /scripts/yyBuffer.js
127.0.0.1 : 0% : 2.04 KB : /scripts/LocalStorage.js
127.0.0.1 : 0% : 4.04 KB : /scripts/Storage.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 37.75 KB : /scripts/Events.js
127.0.0.1 : 0% : 26.74 KB : /scripts/Effects.js
127.0.0.1 : 0% : 31.43 KB : /scripts/CameraManager.js
127.0.0.1 : 0% : 22.49 KB : /scripts/Builders/yyPrimBuilder.js
127.0.0.1 : 0% : 15.90 KB : /scripts/Builders/yyVBufferBuilder.js
127.0.0.1 : 0% : 5.08 KB : /scripts/physics/yyPhysicsDebugRender.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 8.67 KB : /scripts/physics/yyPhysicsFixture.js
127.0.0.1 : 0% : 11.14 KB : /scripts/physics/yyPhysicsJoint.js
127.0.0.1 : 0% : 18.25 KB : /scripts/physics/yyPhysicsObject.js
127.0.0.1 : 0% : 91.04 KB : /scripts/physics/yyPhysicsWorld.js
127.0.0.1 : 0% : 53.57 KB : /scripts/functions/collections/ds_grid.js
127.0.0.1 : 0% : 15.65 KB : /scripts/functions/collections/ds_list.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 22.43 KB : /scripts/functions/collections/ds_map.js
127.0.0.1 : 0% : 17.13 KB : /scripts/functions/collections/ds_priority.js
127.0.0.1 : 0% : 10.75 KB : /scripts/functions/collections/ds_queue.js
127.0.0.1 : 0% : 9.67 KB : /scripts/functions/collections/ds_stack.js
127.0.0.1 : 0% : 63.75 KB : /scripts/functions/Function_Maths.js
127.0.0.1 : 0% : 771 bytes : /scripts/functions/Function_Misc.js
127.0.0.1 : 0% : 46.33 KB : /scripts/functions/Function_YoYo.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 28.98 KB : /scripts/functions/Function_String.js
127.0.0.1 : 0% : 43.95 KB : /scripts/functions/Function_Debug.js
127.0.0.1 : 0% : 39.98 KB : /scripts/functions/Function_Date.js
127.0.0.1 : 0% : 15.28 KB : /scripts/functions/Function_IO.js
127.0.0.1 : 0% : 7.91 KB : /scripts/functions/Function_ini.js
127.0.0.1 : 0% : 82.27 KB : /scripts/functions/Function_Graphics.js
127.0.0.1 : 0% : 12.92 KB : /scripts/functions/Function_Texture.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 131.56 KB : /scripts/functions/Function_Sound.js
127.0.0.1 : 0% : 11.05 KB : /scripts/functions/Function_Sound_Legacy.js
127.0.0.1 : 0% : 46.92 KB : /scripts/functions/Function_Sprite.js
127.0.0.1 : 0% : 11.14 KB : /scripts/functions/Function_Object.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 30.43 KB : /scripts/functions/Function_Background.js
127.0.0.1 : 0% : 25.69 KB : /scripts/functions/Function_Path.js
127.0.0.1 : 0% : 27.38 KB : /scripts/functions/Function_Instance.js
127.0.0.1 : 0% : 53.24 KB : /scripts/functions/Function_Game.js
127.0.0.1 : 0% : 23.93 KB : /scripts/functions/Function_Tiles.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 18.21 KB : /scripts/functions/Function_Room.js
127.0.0.1 : 0% : 114.47 KB : /scripts/functions/Function_Layers.js
127.0.0.1 : 0% : 35.25 KB : /scripts/functions/Function_Particles.js
127.0.0.1 : 0% : 23.46 KB : /scripts/functions/Function_Movement.js
127.0.0.1 : 0% : 34.83 KB : /scripts/functions/Function_Surface.js
127.0.0.1 : 0% : 48.89 KB : /scripts/functions/Function_MotionPlanning.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 26.05 KB : /scripts/functions/Function_Collision.js
127.0.0.1 : 0% : 37.98 KB : /scripts/functions/Function_File.js
127.0.0.1 : 0% : 28.38 KB : /scripts/functions/Function_Font.js
127.0.0.1 : 0% : 5.43 KB : /scripts/functions/Function_Timeline.js
127.0.0.1 : 0% : 39.32 KB : /scripts/functions/Function_Action.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 27.75 KB : /scripts/functions/Function_Window.js
127.0.0.1 : 0% : 51.95 KB : /scripts/functions/Function_Physics.js
127.0.0.1 : 0% : 3.17 KB : /scripts/functions/Function_Gamepad.js
127.0.0.1 : 0% : 9.71 KB : /scripts/functions/Function_Shaders.js
127.0.0.1 : 0% : 106.53 KB : /scripts/functions/Function_D3D.js
127.0.0.1 : 0% : 3.68 KB : /scripts/functions/Function_IAP.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 16.44 KB : /scripts/functions/Function_HTTP.js
127.0.0.1 : 0% : 15.43 KB : /scripts/functions/Function_Networking.js
127.0.0.1 : 0% : 40.90 KB : /scripts/animation/yySkeletonInstance.js
127.0.0.1 : 0% : 59.03 KB : /scripts/animation/yySkeletonSprite.js
127.0.0.1 : 0% : 14.93 KB : /scripts/libWebGL/yyRenderStateManager.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 77.74 KB : /scripts/libWebGL/libWebGL.js
127.0.0.1 : 0% : 5.30 KB : /scripts/libWebGL/libWebGLConsts.js
127.0.0.1 : 0% : 69.73 KB : /scripts/libWebGL/yyCommandBuilder.js
127.0.0.1 : 0% : 2.76 KB : /scripts/libWebGL/yySamplerState.js
127.0.0.1 : 0% : 3.73 KB : /scripts/libWebGL/yyGLTexture.js
127.0.0.1 : 0% : 10.03 KB : /scripts/libWebGL/yyVBuffer.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 7.43 KB : /scripts/libWebGL/yyVBufferManager.js
127.0.0.1 : 0% : 8.43 KB : /scripts/libWebGL/yyVertexFormat.js
127.0.0.1 : 0% : 3.16 KB : /scripts/libWebGL/shaders/basicShader.js
127.0.0.1 : 0% : 5.70 KB : /scripts/libWebGL/shaders/fullShader.js
127.0.0.1 : 0% : 11.96 KB : /scripts/SWF/yySWFBitmap.js
127.0.0.1 : 0% : 16.95 KB : /scripts/SWF/yySWFShape.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 5.16 KB : /scripts/SWF/yySWFTimeline.js
127.0.0.1 : 0% : 181.72 KB : /scripts/yyWebGL.js
127.0.0.1 : 0% : 9.04 KB : /scripts/yyTextureGroupInfo.js
127.0.0.1 : 0% : 29.48 KB : /scripts/LoadGame.js
127.0.0.1 : 0% : 70.93 KB : /scripts/_GameMaker.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 35.04 KB : /scripts/Font.js
127.0.0.1 : 0% : 581.35 KB : /scripts/jsBox2D/jsliquidfun.js
127.0.0.1 : 0% : 6.87 KB : /scripts/zlib/inflate.min.js
127.0.0.1 : 0% : 11.37 KB : /scripts/zlib/deflate.min.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 9.65 KB : /scripts/zlib/fingerprint.js
127.0.0.1 : 0% : 240.36 KB : /scripts/spine/spine-core.js
127.0.0.1 : 0% : 3.40 KB : /scripts/functions/Function_SupersonicAds.js
127.0.0.1 : 0% : 11.53 KB : /scripts/functions/Function_ClickableButton.js
127.0.0.1 : 0% : 7.25 KB : /scripts/jsgif/LZWEncoder.js
127.0.0.1 : 0% : 11.68 KB : /scripts/jsgif/NeuQuant.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 15.19 KB : /scripts/jsgif/GIFEncoder.js
127.0.0.1 : 0% : 39.16 KB : /scripts/long/long.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 2.87 KB : /html5game/particles/IDR_GIF2.png
127.0.0.1 : 0% : 47.18 KB : /html5game/asd_texture_0.png
127.0.0.1 : 0% : 3.33 KB : /html5game/particles/IDR_GIF3.png
127.0.0.1 : 0% : 4.41 KB : /html5game/particles/IDR_GIF15.png
127.0.0.1 : 0% : 3.05 KB : /html5game/particles/IDR_GIF5.png
127.0.0.1 : 0% : 2.94 KB : /html5game/particles/IDR_GIF4.png
127.0.0.1 : 0% : 4.32 KB : /html5game/particles/IDR_GIF7.png
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 5.46 KB : /html5game/particles/IDR_GIF12.png
127.0.0.1 : 0% : 3.89 KB : /html5game/particles/IDR_GIF9.png
127.0.0.1 : 0% : 4.65 KB : /html5game/particles/IDR_GIF11.png
127.0.0.1 : 0% : 4.79 KB : /html5game/particles/IDR_GIF10.png
127.0.0.1 : 0% : 4.70 KB : /html5game/particles/IDR_GIF13.png
127.0.0.1 : 0% : 5.15 KB : /html5game/particles/IDR_GIF8.png
127.0.0.1 : 0% : 4.92 KB : /html5game/particles/IDR_GIF14.png
127.0.0.1 : 0% : 4.06 KB : /html5game/particles/IDR_GIF6.png
edge.txt (16,943 bytes)
firefox.txt (17,860 bytes)
"cmd"  /c subst Z: "C:\Users\scott.dunbar\AppData\Roaming\GameMakerStudio2-Dev\Cache\GMS2CACHE"

elapsed time 00:00:00.2991562s for command "cmd" /c subst Z: "C:\Users\scott.dunbar\AppData\Roaming\GameMakerStudio2-Dev\Cache\GMS2CACHE" started at 10/11/2019 14:01:22
"cmd"  /c subst Y: "C:\Users\scott.dunbar\AppData\Local\GameMakerStudio2-Dev\GMS2TEMP"

elapsed time 00:00:00.3028318s for command "cmd" /c subst Y: "C:\Users\scott.dunbar\AppData\Local\GameMakerStudio2-Dev\GMS2TEMP" started at 10/11/2019 14:01:22
"cmd"  /c subst X: "C:\ProgramData\GameMakerStudio2-Dev\Cache\runtimes\runtime-9.9.1.1593"

elapsed time 00:00:00.2688566s for command "cmd" /c subst X: "C:\ProgramData\GameMakerStudio2-Dev\Cache\runtimes\runtime-9.9.1.1593" started at 10/11/2019 14:01:23
Saving project to: C:\Users\scott.dunbar\Documents\GameMakerStudio2\asd\asd.yyp
Saving 1 resources
"C:\ProgramData/GameMakerStudio2-Dev/Cache/runtimes\runtime-9.9.1.1593/bin/Igor.exe"  -j=8 -options="C:\Users\scott.dunbar\AppData\Local\GameMakerStudio2-Dev\GMS2TEMP\build.bff" -v -- HTML5 Run

Loaded Macros from C:\Users\scott.dunbar\AppData\Roaming\GameMakerStudio2-Dev\Cache\GMS2CACHE\asd_EB35955A\macros.json
Options: X:/bin\platform_setting_defaults.json
Options: C:\Users\scott.dunbar\AppData\Roaming/GameMakerStudio2-Dev\qa_48\local_settings.json
Options: C:\Users\scott.dunbar\AppData\Roaming\GameMakerStudio2-Dev\Cache\GMS2CACHE\asd_EB35955A\targetoptions.json
X://bin/GMAssetCompiler.exe  /c /zpex /iv=0 /rv=0 /bv=0 /j=8  /gn="asd" /td="Y:/" /cd="Z:/asd_EB35955A" /zpuf="C:\Users\scott.dunbar\AppData\Roaming/GameMakerStudio2-Dev\qa_48" /wt /m=html5 /tgt=32 /nodnd /cfg="default" /nocache_html5  /o="Y:/asd_3B2BFA39_Javascript" /HTMLRunner="C:\Source\GameMaker\Runner\HTML5\scripts" /sh=True /optionsini="Y:/asd_3B2BFA39_Javascript\options.ini" /obob=False  /obes=False  /obpp=True  /obru=True  /v /cvm /baseproject="X:/BaseProject\BaseProject.yyp" "C:\Users\scott.dunbar\Documents\GameMakerStudio2\asd\asd.yyp" /preprocess="Z:/asd_EB35955A"
Reading project file....C:\Users\scott.dunbar\Documents\GameMakerStudio2\asd
Reading project file....X:\BaseProject
Reading config delta 'C:\Users\scott.dunbar\Documents\GameMakerStudio2\asd\options\main\inherited\options_main.inherited.yy'
finished.


X://bin/GMAssetCompiler.exe DONE (0)
Release build
Options: Z:/asd_EB35955A\ExtensionOptions.json
OptionsIni
Options: Z:/asd_EB35955A\PlatformOptions.json
X://bin/GMAssetCompiler.exe  /c /zpex /iv=0 /rv=0 /bv=0 /j=8  /gn="asd" /td="Y:/" /cd="Z:/asd_EB35955A" /zpuf="C:\Users\scott.dunbar\AppData\Roaming/GameMakerStudio2-Dev\qa_48" /wt /m=html5 /tgt=32 /nodnd /cfg="default" /nocache_html5  /o="Y:/asd_3B2BFA39_Javascript" /HTMLRunner="C:\Source\GameMaker\Runner\HTML5\scripts" /sh=True /optionsini="Y:/asd_3B2BFA39_Javascript\options.ini" /obob=False  /obes=False  /obpp=True  /obru=True  /v /cvm /baseproject="X:/BaseProject\BaseProject.yyp" "C:\Users\scott.dunbar\Documents\GameMakerStudio2\asd\asd.yyp" /bt=run /rt=javascript
Reading project file....C:\Users\scott.dunbar\Documents\GameMakerStudio2\asd
Reading project file....X:\BaseProject
Reading config delta 'C:\Users\scott.dunbar\Documents\GameMakerStudio2\asd\options\main\inherited\options_main.inherited.yy'
finished.
Saving HTML5 file... Y:/asd_3B2BFA39_Javascript\html5game\asd.js
Looking for built-in particle images in X:\bin\ParticleImages
Looking for built-in font images in X:\bin\BuiltinFonts
Texture Group - Default
0 Compressing texture... writing texture asd_texture_0.png... 
Done! 
Stats : GMA : Elapsed=834.2499
Stats : GMA : sp=0,au=0,bk=0,pt=0,sc=0,sh=0,fo=1,tl=0,ob=0,ro=1,da=0,ex=0,ma=0,fm=0x0


X://bin/GMAssetCompiler.exe DONE (0)
[Deploy] Copy Assets/Included files to target dir
PlatformOptions
DoIndexFile
DoSplash
DoIcon
Igor complete.
GMWebServer Starting........
Igor complete
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 2.93 KB : /index.html
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 11.75 KB : /html5game/asd.js
127.0.0.1 : 0% : 11.95 KB : /scripts/runner.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 10.96 KB : /scripts/device/iOS.js
127.0.0.1 : 0% : 26.24 KB : /scripts/device/Gamepad.js
127.0.0.1 : 0% : 6.58 KB : /scripts/Vector3.js
127.0.0.1 : 0% : 20.06 KB : /scripts/Matrix.js
127.0.0.1 : 0% : 41.21 KB : /scripts/Unsupported.js
127.0.0.1 : 0% : 63.65 KB : /scripts/Globals.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 800 bytes : /scripts/GameGlobals.js
127.0.0.1 : 0% : 46.42 KB : /scripts/yyVariable.js
127.0.0.1 : 0% : 16.62 KB : /scripts/yyBuiltIn.js
127.0.0.1 : 0% : 6.81 KB : /scripts/yyTypes.js
127.0.0.1 : 0% : 3.64 KB : /scripts/yyQueue.js
127.0.0.1 : 0% : 10.33 KB : /scripts/yyList.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 6.05 KB : /scripts/yyOList.js
127.0.0.1 : 0% : 5.68 KB : /scripts/yyAllocate.js
127.0.0.1 : 0% : 64.81 KB : /scripts/yyIOManager.js
127.0.0.1 : 0% : 50.94 KB : /scripts/yySprite.js
127.0.0.1 : 0% : 119.12 KB : /scripts/yyObject.js
127.0.0.1 : 0% : 90.89 KB : /scripts/yyInstance.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 10.46 KB : /scripts/yyBackground.js
127.0.0.1 : 0% : 23.16 KB : /scripts/yySound.js
127.0.0.1 : 0% : 43.98 KB : /scripts/yyFont.js
127.0.0.1 : 0% : 7.69 KB : /scripts/yyTile.js
127.0.0.1 : 0% : 8.36 KB : /scripts/yyPlayfield.js
127.0.0.1 : 0% : 24.62 KB : /scripts/yyPath.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 7.89 KB : /scripts/yyView.js
127.0.0.1 : 0% : 34.42 KB : /scripts/yy3DModel.js
127.0.0.1 : 0% : 120.85 KB : /scripts/yyRoom.js
127.0.0.1 : 0% : 57.47 KB : /scripts/yyGraphics.js
127.0.0.1 : 0% : 28.06 KB : /scripts/yyIniFile.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 76.76 KB : /scripts/yyParticle.js
127.0.0.1 : 0% : 8.25 KB : /scripts/yyTimeline.js
127.0.0.1 : 0% : 12.33 KB : /scripts/yyASync.js
127.0.0.1 : 0% : 3.05 KB : /scripts/yyTrigger.js
127.0.0.1 : 0% : 7.17 KB : /scripts/yyVertexManager.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 18.59 KB : /scripts/yyBufferVertex.js
127.0.0.1 : 0% : 77.71 KB : /scripts/yyBuffer.js
127.0.0.1 : 0% : 2.04 KB : /scripts/LocalStorage.js
127.0.0.1 : 0% : 4.04 KB : /scripts/Storage.js
127.0.0.1 : 0% : 37.75 KB : /scripts/Events.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 26.74 KB : /scripts/Effects.js
127.0.0.1 : 0% : 31.43 KB : /scripts/CameraManager.js
127.0.0.1 : 0% : 22.49 KB : /scripts/Builders/yyPrimBuilder.js
127.0.0.1 : 0% : 15.90 KB : /scripts/Builders/yyVBufferBuilder.js
127.0.0.1 : 0% : 5.08 KB : /scripts/physics/yyPhysicsDebugRender.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 8.67 KB : /scripts/physics/yyPhysicsFixture.js
127.0.0.1 : 0% : 18.25 KB : /scripts/physics/yyPhysicsObject.js
127.0.0.1 : 0% : 11.14 KB : /scripts/physics/yyPhysicsJoint.js
127.0.0.1 : 0% : 91.04 KB : /scripts/physics/yyPhysicsWorld.js
127.0.0.1 : 0% : 53.57 KB : /scripts/functions/collections/ds_grid.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 15.65 KB : /scripts/functions/collections/ds_list.js
127.0.0.1 : 0% : 22.43 KB : /scripts/functions/collections/ds_map.js
127.0.0.1 : 0% : 10.75 KB : /scripts/functions/collections/ds_queue.js
127.0.0.1 : 0% : 17.13 KB : /scripts/functions/collections/ds_priority.js
127.0.0.1 : 0% : 9.67 KB : /scripts/functions/collections/ds_stack.js
127.0.0.1 : 0% : 63.75 KB : /scripts/functions/Function_Maths.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 771 bytes : /scripts/functions/Function_Misc.js
127.0.0.1 : 0% : 46.33 KB : /scripts/functions/Function_YoYo.js
127.0.0.1 : 0% : 28.98 KB : /scripts/functions/Function_String.js
127.0.0.1 : 0% : 43.95 KB : /scripts/functions/Function_Debug.js
127.0.0.1 : 0% : 39.98 KB : /scripts/functions/Function_Date.js
127.0.0.1 : 0% : 15.28 KB : /scripts/functions/Function_IO.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 7.91 KB : /scripts/functions/Function_ini.js
127.0.0.1 : 0% : 82.27 KB : /scripts/functions/Function_Graphics.js
127.0.0.1 : 0% : 12.92 KB : /scripts/functions/Function_Texture.js
127.0.0.1 : 0% : 131.56 KB : /scripts/functions/Function_Sound.js
127.0.0.1 : 0% : 11.05 KB : /scripts/functions/Function_Sound_Legacy.js
127.0.0.1 : 0% : 46.92 KB : /scripts/functions/Function_Sprite.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 11.14 KB : /scripts/functions/Function_Object.js
127.0.0.1 : 0% : 30.43 KB : /scripts/functions/Function_Background.js
127.0.0.1 : 0% : 25.69 KB : /scripts/functions/Function_Path.js
127.0.0.1 : 0% : 53.24 KB : /scripts/functions/Function_Game.js
127.0.0.1 : 0% : 27.38 KB : /scripts/functions/Function_Instance.js
127.0.0.1 : 0% : 23.93 KB : /scripts/functions/Function_Tiles.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 18.21 KB : /scripts/functions/Function_Room.js
127.0.0.1 : 0% : 114.47 KB : /scripts/functions/Function_Layers.js
127.0.0.1 : 0% : 35.25 KB : /scripts/functions/Function_Particles.js
127.0.0.1 : 0% : 34.83 KB : /scripts/functions/Function_Surface.js
127.0.0.1 : 0% : 23.46 KB : /scripts/functions/Function_Movement.js
127.0.0.1 : 0% : 48.89 KB : /scripts/functions/Function_MotionPlanning.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 26.05 KB : /scripts/functions/Function_Collision.js
127.0.0.1 : 0% : 37.98 KB : /scripts/functions/Function_File.js
127.0.0.1 : 0% : 28.38 KB : /scripts/functions/Function_Font.js
127.0.0.1 : 0% : 39.32 KB : /scripts/functions/Function_Action.js
127.0.0.1 : 0% : 5.43 KB : /scripts/functions/Function_Timeline.js
127.0.0.1 : 0% : 27.75 KB : /scripts/functions/Function_Window.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 51.95 KB : /scripts/functions/Function_Physics.js
127.0.0.1 : 0% : 3.17 KB : /scripts/functions/Function_Gamepad.js
127.0.0.1 : 0% : 9.71 KB : /scripts/functions/Function_Shaders.js
127.0.0.1 : 0% : 106.53 KB : /scripts/functions/Function_D3D.js
127.0.0.1 : 0% : 3.68 KB : /scripts/functions/Function_IAP.js
127.0.0.1 : 0% : 16.44 KB : /scripts/functions/Function_HTTP.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 15.43 KB : /scripts/functions/Function_Networking.js
127.0.0.1 : 0% : 40.90 KB : /scripts/animation/yySkeletonInstance.js
127.0.0.1 : 0% : 59.03 KB : /scripts/animation/yySkeletonSprite.js
127.0.0.1 : 0% : 14.93 KB : /scripts/libWebGL/yyRenderStateManager.js
127.0.0.1 : 0% : 77.74 KB : /scripts/libWebGL/libWebGL.js
127.0.0.1 : 0% : 5.30 KB : /scripts/libWebGL/libWebGLConsts.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 69.73 KB : /scripts/libWebGL/yyCommandBuilder.js
127.0.0.1 : 0% : 2.76 KB : /scripts/libWebGL/yySamplerState.js
127.0.0.1 : 0% : 3.73 KB : /scripts/libWebGL/yyGLTexture.js
127.0.0.1 : 0% : 10.03 KB : /scripts/libWebGL/yyVBuffer.js
127.0.0.1 : 0% : 7.43 KB : /scripts/libWebGL/yyVBufferManager.js
127.0.0.1 : 0% : 8.43 KB : /scripts/libWebGL/yyVertexFormat.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 3.16 KB : /scripts/libWebGL/shaders/basicShader.js
127.0.0.1 : 0% : 5.70 KB : /scripts/libWebGL/shaders/fullShader.js
127.0.0.1 : 0% : 11.96 KB : /scripts/SWF/yySWFBitmap.js
127.0.0.1 : 0% : 16.95 KB : /scripts/SWF/yySWFShape.js
127.0.0.1 : 0% : 5.16 KB : /scripts/SWF/yySWFTimeline.js
127.0.0.1 : 0% : 181.72 KB : /scripts/yyWebGL.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 9.04 KB : /scripts/yyTextureGroupInfo.js
127.0.0.1 : 0% : 29.48 KB : /scripts/LoadGame.js
127.0.0.1 : 0% : 70.93 KB : /scripts/_GameMaker.js
127.0.0.1 : 0% : 35.04 KB : /scripts/Font.js
127.0.0.1 : 0% : 581.35 KB : /scripts/jsBox2D/jsliquidfun.js
127.0.0.1 : 0% : 6.87 KB : /scripts/zlib/inflate.min.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 11.37 KB : /scripts/zlib/deflate.min.js
127.0.0.1 : 0% : 9.65 KB : /scripts/zlib/fingerprint.js
127.0.0.1 : 0% : 240.36 KB : /scripts/spine/spine-core.js
127.0.0.1 : 0% : 3.40 KB : /scripts/functions/Function_SupersonicAds.js
127.0.0.1 : 0% : 11.53 KB : /scripts/functions/Function_ClickableButton.js
127.0.0.1 : 0% : 7.25 KB : /scripts/jsgif/LZWEncoder.js
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 11.68 KB : /scripts/jsgif/NeuQuant.js
127.0.0.1 : 0% : 15.19 KB : /scripts/jsgif/GIFEncoder.js
127.0.0.1 : 0% : 39.16 KB : /scripts/long/long.js
127.0.0.1 : 0% : 0 bytes : ERROR: /scripts/zlib/inflate.min.js.map
127.0.0.1 : 0% : 0 bytes : ERROR: /scripts/zlib/deflate.min.js.map
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 9.44 KB : /favicon.ico
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 47.18 KB : /html5game/asd_texture_0.png
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 2.87 KB : /html5game/particles/IDR_GIF2.png
127.0.0.1 : 0% : 3.33 KB : /html5game/particles/IDR_GIF3.png
127.0.0.1 : 0% : 3.05 KB : /html5game/particles/IDR_GIF5.png
127.0.0.1 : 0% : 2.94 KB : /html5game/particles/IDR_GIF4.png
127.0.0.1 : 0% : 4.06 KB : /html5game/particles/IDR_GIF6.png
127.0.0.1 : 0% : 4.32 KB : /html5game/particles/IDR_GIF7.png
Connecting to Client 127.0.0.1
Connecting to Client 127.0.0.1
127.0.0.1 : 0% : 5.15 KB : /html5game/particles/IDR_GIF8.png
127.0.0.1 : 0% : 3.89 KB : /html5game/particles/IDR_GIF9.png
127.0.0.1 : 0% : 4.65 KB : /html5game/particles/IDR_GIF11.png
127.0.0.1 : 0% : 4.79 KB : /html5game/particles/IDR_GIF10.png
127.0.0.1 : 0% : 5.46 KB : /html5game/particles/IDR_GIF12.png
127.0.0.1 : 0% : 4.70 KB : /html5game/particles/IDR_GIF13.png
127.0.0.1 : 0% : 4.92 KB : /html5game/particles/IDR_GIF14.png
127.0.0.1 : 0% : 4.41 KB : /html5game/particles/IDR_GIF15.png
(E):[Child 14264, Chrome_ChildThread] WARNING: pipe error: 109: file z:/task_1569974145/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
(E):[Child 14264, Ch[Child 13928, Chrome_ChildThread] WARNING: pipe error: 109: file z:/task_1569974145/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 341
(E):[Child
(E):###!!! [Child][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
(E):
(E):[GPU 9756, Chrome_ChildThread]
(E):###!!! [Child][MessageChannel::SendAndWait] Error: Channel error: cannot send/recv
(E):

(E):
firefox.txt (17,860 bytes)

Russell Kay

2019-10-22 11:28

Manager   ~0065032

Fixed in gitlab